javax.xml.stream.events

## Interface ProcessingInstruction

- All Superinterfaces:
    XMLEvent, XMLStreamConstants

      public interface ProcessingInstruction
      extends XMLEvent

  An interface that describes the data found in processing instructions
  Since:
    1.6

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getData()` The data section of the processing instruction
    `String` | `getTarget()` The target section of the processing instruction

    - ### Methods inherited from interface javax.xml.stream.events.XMLEvent

      `asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

- - ### Method Detail

    - #### getTarget

          String getTarget()

      The target section of the processing instruction
      Returns:
        the String value of the PI or null

    - #### getData

          String getData()

      The data section of the processing instruction
      Returns:
        the String value of the PI's data or null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.